 	.386
	.model	use32 small

	extrn	allerrl : proc
	public	_modfl

	.data
nm	db	"modfl",0

	.code
_modfl:
	enter	4,0
	lea	ecx,[ebp+8]
	sub	edx,edx
	fnstcw	[ebp-4]
	mov	ax,[ebp-4]
	and	ah,0f3h
	or	ah,0ch
	mov	[ebp-2],ax
	fldcw	[ebp-2]
	fld	tbyte ptr [ecx]
	fld	st(0)
	frndint

	mov	eax,[ebp+20]
	fld 	st(0)	
	fstp	tbyte ptr [eax]

	fsubp	st(1)

	fldcw	[ebp-4]
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end